# Uses of Class
org.egothor.stemmer.Row

Packages that use Row
Package
Description
org.egothor.stemmer
Egothor stemmer API.

- ## Uses of Row in org.egothor.stemmer

  Methods in org.egothor.stemmer that return Row
  Modifier and Type
  Method
  Description
  `Row`
  Optimizer.`merge(Row master, Row existing)`
  Merge the given rows and return the resulting Row.
  Methods in org.egothor.stemmer with parameters of type Row
  Modifier and Type
  Method
  Description
  `boolean`
  Gener.`eat(Row in, int[] remap)`
  Test whether the given Row of Cells in a Trie should be included in an optimized Trie.
  `void`
  Lift.`liftUp(Row in, List<Row> nodes)`
  Reduce the trie using Lift-Up reduction.
  `Row`
  Optimizer.`merge(Row master, Row existing)`
  Merge the given rows and return the resulting Row.
  Method parameters in org.egothor.stemmer with type arguments of type Row
  Modifier and Type
  Method
  Description
  `void`
  Lift.`liftUp(Row in, List<Row> nodes)`
  Reduce the trie using Lift-Up reduction.
  Constructors in org.egothor.stemmer with parameters of type Row
  Modifier
  Constructor
  Description
  ``
  `Row(Row old)`
  Construct a Row using the cells of the given Row.